ChangeSet 1.1823.1.11, 2004/06/23 16:59:52-07:00, ossi@kde.org

[PATCH] PCI: (one more) PCI quirk for SMBus bridge on Asus P4 boards

my board has one of those "clever" bioses that hide the smbus. this tiny
patch adds it to the Bad Guy List (TM).


Signed-off-by: Greg Kroah-Hartman <greg@kroah.com>


 drivers/pci/quirks.c |    1 +
 1 files changed, 1 insertion(+)


diff -Nru a/drivers/pci/quirks.c b/drivers/pci/quirks.c
--- a/drivers/pci/quirks.c	2004-06-24 13:49:17 -07:00
+++ b/drivers/pci/quirks.c	2004-06-24 13:49:17 -07:00
@@ -705,6 +705,7 @@
 		}
 	if (dev->device == PCI_DEVICE_ID_INTEL_82845G_HB)
 		switch(dev->subsystem_device) {
+ 		case 0x80b1: /* P4GE-V */
 		case 0x80b2: /* P4PE */
  		case 0x8093: /* P4B533-V */
 			asus_hides_smbus = 1;
